Bug 480496 - Cannot export VPN connection
Cannot export VPN connection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 485345
  Show dependency treegraph
 
Reported: 2009-01-17 13:37 EST by ajs
Modified: 2010-06-25 11:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.7.0.99-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 485345 (view as bug list)
Environment:
Last Closed: 2009-03-08 15:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 551939 None None None Never

  None (edit)
Description ajs 2009-01-17 13:37:16 EST
Description of problem:
When I try and export a working VPN configuration, I get an error message


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Right click on NM applet
2. select "Edit Connections ..." menu item
3. select "VPN" tab
4. select a working VPN configuration
5. click "Export"
6. Select a file location
7. Click "Save"
  
Actual results:
 Error box with:

    Cannot export VPN connection

    The VPN connection '<snip>' could not be exported to <snip> (openvpn).conf.

    Error: VPN setting invalid.

Expected results:
New file <snip> (openvpn).conf with working open VPN settings


Additional info:
Comment 1 ajs 2009-01-17 13:56:14 EST
There appears to be an upstream bug for this: http://bugzilla.gnome.org/show_bug.cgi?id=551939
Comment 2 Michal Nowak 2009-01-25 07:47:03 EST
I can confirm it. I thought it happens due to warnings like

** (nm-connection-editor:9182): WARNING **: Invalid setting VPN: IPSec gateway

** (nm-connection-editor:9182): WARNING **: Invalid setting VPN: IPSec ID
[...]

but it happens for nearly blank Cisco VPN setting too.
Comment 3 Dan Williams 2009-02-12 18:59:37 EST
Fixed upstream in svn r1156 and r1157; will get into next Fedora update.
Comment 4 Fedora Update System 2009-02-24 15:50:39 EST
NetworkManager-0.7.0.97-5.git20090220.fc10, NetworkManager-openconnect-0.7.0.97-1.fc10, NetworkManager-pptp-0.7.0.97-1.fc10, NetworkManager-openvpn-0.7.0.97-1.fc10, NetworkManager-vpnc-0.7.0.97-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager NetworkManager-openconnect NetworkManager-pptp NetworkManager-openvpn NetworkManager-vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1985
Comment 5 Fedora Update System 2009-02-27 22:25:05 EST
NetworkManager-0.7.0.98-1.git20090225.fc10, NetworkManager-openconnect-0.7.0.97-1.fc10, NetworkManager-pptp-0.7.0.97-1.fc10, NetworkManager-openvpn-0.7.0.97-1.fc10, NetworkManager-vpnc-0.7.0.97-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager NetworkManager-openconnect NetworkManager-pptp NetworkManager-openvpn NetworkManager-vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1985
Comment 6 Dan Williams 2009-03-03 14:19:05 EST
(in response to anthony's Fedora Updates comment)

It fixes the original bug that causes the output you posted above.  There's a second bug that nm-openvpn only implements import capability, but that's a bug against NetworkManager-openvpn.
Comment 7 ajs 2009-03-03 14:44:40 EST
So should I change the component for this bug to NetworkManager-openvpn?
Comment 8 Dan Williams 2009-03-03 16:22:37 EST
No, I'd file a new one (if one doesn't already exist) on nm-openvpn about not being able to export.  There's already an upstream bug about it too.
Comment 9 Fedora Update System 2009-03-06 12:35:33 EST
NetworkManager-0.7.0.99-1.fc10,knetworkmanager-0.7-0.8.20080926svn.fc10,NetworkManager-vpnc-0.7.0.99-1.fc10,NetworkManager-openvpn-0.7.0.99-1.fc10,NetworkManager-pptp-0.7.0.99-1.fc10,NetworkManager-openconnect-0.7.0.99-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-1.fc10,knetworkmanager-0.7-0.8.20080926svn.fc10,NetworkManager-vpnc-0.7.0.99-1.fc10,NetworkManager-openvpn-0.7.0.99-1.fc10,NetworkManager-pptp-0.7.0.99-1.fc10,NetworkManager-openconnect-0.7.0.99-1.fc10
Comment 10 Fedora Update System 2009-03-06 12:52:19 EST
NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9
Comment 11 Fedora Update System 2009-03-08 15:30:51 EDT
NetworkManager-0.7.0.99-1.fc9, NetworkManager-vpnc-0.7.0.99-1.fc9, NetworkManager-openvpn-0.7.0.99-1.fc9, NetworkManager-pptp-0.7.0.99-1.fc9, NetworkManager-openconnect-0.7.0.99-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-03-08 15:32:20 EDT
NetworkManager-0.7.0.99-1.fc10, knetworkmanager-0.7-0.8.20080926svn.fc10, NetworkManager-vpnc-0.7.0.99-1.fc10, NetworkManager-openvpn-0.7.0.99-1.fc10, NetworkManager-pptp-0.7.0.99-1.fc10, NetworkManager-openconnect-0.7.0.99-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 ajs 2009-03-20 11:26:54 EDT
New bug https://bugzilla.redhat.com/show_bug.cgi?id=491355 opened for OpenVPN part of the problem.
Comment 14 Slawomir Czarko 2010-02-10 14:04:13 EST
This problem (or bug 491355) is still present in Fedora 12
Comment 15 Sergio Monteiro Basto 2010-06-25 11:06:10 EDT
with 
NetworkManager-pptp-0.8.0-1.git20100411.fc13.x86_64.rpm
still happens !

Note You need to log in before you can comment on or make changes to this bug.